<?php

$extensionPath = t3lib_extMgm::extPath('ftm');
$extensionClassesPath = t3lib_extMgm::extPath('ftm').'Classes/';
return array(

    // Controller
    'tx_ftm_controller_templatemanagercontroller' => $extensionClassesPath.'Controller/TemplateManagerController.php',
    
    // Models
    'tx_ftm_domain_model_template'               => $extensionClassesPath.'Domain/Model/Template.php',
    'tx_ftm_domain_model_templateconfig'         => $extensionClassesPath.'Domain/Model/TemplateConfig.php',
    'tx_ftm_domain_model_templatelanguage'       => $extensionClassesPath.'Domain/Model/TemplateLanguage.php',
    'tx_ftm_domain_model_templatemeta'           => $extensionClassesPath.'Domain/Model/TemplateMeta.php',
    'tx_ftm_domain_model_templatefluid'          => $extensionClassesPath.'Domain/Model/TemplateFluid.php',
    'tx_ftm_domain_model_templatemarker'         => $extensionClassesPath.'Domain/Model/TemplateMarker.php',
    'tx_ftm_domain_model_templatelessvariable'   => $extensionClassesPath.'Domain/Model/TemplateLessVariable.php',
    
    'tx_ftm_domain_model_templatemenucontainer'  => $extensionClassesPath.'Domain/Model/TemplateMenuContainer.php',
    'tx_ftm_domain_model_templatemenuobject'     => $extensionClassesPath.'Domain/Model/TemplateMenuObject.php',
    'tx_ftm_domain_model_templatemenustate'      => $extensionClassesPath.'Domain/Model/TemplateMenuState.php',
    
    'tx_ftm_domain_model_templateext'            => $extensionClassesPath.'Domain/Model/TemplateExt.php',
    'tx_ftm_domain_model_templateextt3less'      => $extensionClassesPath.'Domain/Model/TemplateExtT3Less.php',
    'tx_ftm_domain_model_templateextt3lessfiles' => $extensionClassesPath.'Domain/Model/TemplateExtT3LessFiles.php',
    
    'tx_ftm_domain_model_backendlayout'          => $extensionClassesPath.'Domain/Model/BackendLayout.php',
    'tx_ftm_domain_model_gridlayout'             => $extensionClassesPath.'Domain/Model/GridLayout.php',
    'tx_ftm_domain_model_systemplate'            => $extensionClassesPath.'Domain/Model/SysTemplate.php',
    
    // Repositories
    'tx_ftm_domain_repository_templaterepository'      => $extensionClassesPath.'Domain/Repository/TemplateRepository.php',
    'tx_ftm_domain_repository_backendlayoutrepository' => $extensionClassesPath.'Domain/Repository/BackendLayoutRepository.php',
    'tx_ftm_domain_repository_gridlayoutrepository'    => $extensionClassesPath.'Domain/Repository/GridLayoutRepository.php',
    'tx_ftm_domain_repository_systemplaterepository'   => $extensionClassesPath.'Domain/Repository/SysTemplateRepository.php',
    'tx_ftm_domain_repository_pagesrepository'         => $extensionClassesPath.'Domain/Repository/PagesRepository.php',
    
    // Backend
    'tx_ftm_backend_informationrow'       => $extensionClassesPath.'Backend/InformationRow.php',
    
    // Hooks
    'tx_ftm_hooks_cachemenu'              => $extensionClassesPath.'Hooks/CacheMenu.php',
    
    // Services
    'tx_ftm_service_pluginconnector'      => $extensionClassesPath.'Service/PluginConnector.php',
    'tx_ftm_service_pluginservice'        => $extensionClassesPath.'Service/PluginService.php',
    'tx_ftm_service_templatedirectory'    => $extensionClassesPath.'Service/TemplateDirectory.php',
    'tx_ftm_service_systemplate'          => $extensionClassesPath.'Service/SysTemplate.php',
    'tx_ftm_service_pages'                => $extensionClassesPath.'Service/Pages.php',
    'tx_ftm_service_fluid'                => $extensionClassesPath.'Service/Fluid.php',
    'tx_ftm_service_tyaml'                => $extensionClassesPath.'Service/Tyaml.php',
    'tx_ftm_service_clearcache'           => $extensionClassesPath.'Service/ClearCache.php',
    'tx_ftm_service_backup'               => $extensionClassesPath.'Service/Backup.php',
    'tx_ftm_service_typoscript'           => $extensionClassesPath.'Service/TypoScript.php',
    
    // ViewHelper
    'tx_ftm_viewhelper_contentviewhelper'          => $extensionClassesPath.'ViewHelper/ContentViewHelper.php',
    'tx_ftm_viewhelper_contentviewhelper'          => $extensionClassesPath.'ViewHelper/ContentViewHelper.php',
    'tx_ftm_viewhelper_fluidrowviewhelper'         => $extensionClassesPath.'ViewHelper/FluidRowViewHelper.php',
    'tx_ftm_viewhelper_markerrowviewhelper'        => $extensionClassesPath.'ViewHelper/MarkerRowViewHelper.php',
    'tx_ftm_viewhelper_lessvariablerowviewhelper'  => $extensionClassesPath.'ViewHelper/LessVariableRowViewHelper.php',
    'tx_ftm_viewhelper_be_buttons_iconviewhelper'  => $extensionClassesPath.'ViewHelper/Be/Buttons/IconViewHelper.php',
    
);
?>